
  ; DoNames.sc   Let's user view, edit, add new, and print names.

  WHILE true
      SHOWMENU
          "View"  : "View the names table",
          "Add"   : "Add new names to the names table",
          "Edit"  : "Edit the names in the names table",
          "Print" : "Print the names in the names table",
          "Quit"  : "Leave this application, return to Paradox Menu",
          "Exit"  : "Leave application and Paradox - exit to DOS"
          DEFAULT "View"
      TO Choice.a
      SWITCH
          CASE Choice.a = "View" :
              VIEW "Names"
              WAIT Table
                  PROMPT "Use cursor movement keys to see all fields, all records",
                  "                   Press <Esc> when done viewing."
                  UNTIL "Esc"
                  CLEAR
                  CLEARIMAGE

          CASE Choice.a = "Add"   : {Modify} {DataEntry} {names}
              WAIT Table
                  PROMPT "        Add names to table, press <F2> when done"
                  UNTIL "F2"
                  IF retval = "F2" THEN
                      DO_IT!
                  ENDIF
                  CLEAR
                  CLEARIMAGE

          CASE Choice.a = "Edit"  : {Modify} {Edit} {names}
              WAIT Table
                  PROMPT "        Edit names table, press <F2> when done",
                  "                          press <Esc> to cancel changes"
                  UNTIL "F2","Esc"
                  IF retval = "F2" THEN
                      DO_IT!
                      Else
                          CANCELEDIT
                  ENDIF
                  CLEAR
                  CLEARIMAGE


          CASE Choice.a = "Print" :  Play "PrnNames"
                                     CLEAR CLEARALL

          CASE Choice.a = "Quit"  : Quit
          CASE Choice.a = "Exit"  : Exit
      ENDSWITCH
  ENDWHILE
